# OnramperApi

## OnramperApi

All URIs are relative to *<https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app>*

| Method                                                                            | HTTP request                           | Description |
| --------------------------------------------------------------------------------- | -------------------------------------- | ----------- |
| [**onRamperCheckout**](#onRamperCheckout)                                         | **POST** /onramper/fund/${accountName} |             |
| [**onRamperGetQuotesBuy**](#onRamperGetQuotesBuy)                                 | **GET** /onramper/quotes/buy           |             |
| [**onRamperGetQuotesSell**](#onRamperGetQuotesSell)                               | **GET** /onramper/quotes/sell          |             |
| [**onRamperGetSupportedAssets**](#onRamperGetSupportedAssets)                     | **GET** /onramper/assets               |             |
| [**onRamperGetSupportedCurrencies**](#onRamperGetSupportedCurrencies)             | **GET** /onramper/currencies           |             |
| [**onRamperGetSupportedDefaultsAll**](#onRamperGetSupportedDefaultsAll)           | **GET** /onramper/defaults             |             |
| [**onRamperGetSupportedOnRampsAll**](#onRamperGetSupportedOnRampsAll)             | **GET** /onramper/onramps              |             |
| [**onRamperGetSupportedPaymentTypes**](#onRamperGetSupportedPaymentTypes)         | **GET** /onramper/payment-types        |             |
| [**onRamperGetSupportedPaymentTypesFiat**](#onRamperGetSupportedPaymentTypesFiat) | **GET** /onramper/payment-types/fiat   |             |

## **onRamperCheckout**

> kotlin.Any onRamperCheckout(authorization, accountName, transactionInput)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val accountName : kotlin.String = accountName_example // kotlin.String | 
val transactionInput : TransactionInput =  // TransactionInput | 
try {
    val result : kotlin.Any = apiInstance.onRamperCheckout(authorization, accountName, transactionInput)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperCheckout")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperCheckout")
    e.printStackTrace()
}
```

#### Parameters

| Name                 | Type                                                     | Description | Notes |
| -------------------- | -------------------------------------------------------- | ----------- | ----- |
| **authorization**    | **kotlin.String**                                        |             |       |
| **accountName**      | **kotlin.String**                                        |             |       |
| **transactionInput** | [**TransactionInput**](/sdks/kotlin/transactioninput.md) |             |       |

#### Return type

[**kotlin.Any**](https://github.com/moon-up/docs-sdk/blob/main/kotlin/docs/kotlin.Any.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **onRamperGetQuotesBuy**

> kotlin.collections.List\<Quote> onRamperGetQuotesBuy(authorization, fiat, crypto, amount, paymentMethod, uuid, clientName, country)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val fiat : kotlin.String = fiat_example // kotlin.String | 
val crypto : kotlin.String = crypto_example // kotlin.String | 
val amount : kotlin.Double = 1.2 // kotlin.Double | 
val paymentMethod : kotlin.String = paymentMethod_example // kotlin.String | 
val uuid : kotlin.String = uuid_example // kotlin.String | 
val clientName : kotlin.String = clientName_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
try {
    val result : kotlin.collections.List<Quote> = apiInstance.onRamperGetQuotesBuy(authorization, fiat, crypto, amount, paymentMethod, uuid, clientName, country)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetQuotesBuy")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetQuotesBuy")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes                                  |
| ----------------- | ----------------- | ----------- | -------------------------------------- |
| **authorization** | **kotlin.String** |             |                                        |
| **fiat**          | **kotlin.String** |             |                                        |
| **crypto**        | **kotlin.String** |             |                                        |
| **amount**        | **kotlin.Double** |             |                                        |
| **paymentMethod** | **kotlin.String** |             | \[optional] \[default to "creditcard"] |
| **uuid**          | **kotlin.String** |             | \[optional] \[default to ""]           |
| **clientName**    | **kotlin.String** |             | \[optional] \[default to ""]           |
| **country**       | **kotlin.String** |             | \[optional] \[default to ""]           |

#### Return type

[**kotlin.collections.List\<Quote>**](/sdks/kotlin/quote.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetQuotesSell**

> kotlin.collections.List\<SellQuote> onRamperGetQuotesSell(authorization, fiat, crypto, amount, paymentMethod, uuid, clientName, country)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val fiat : kotlin.String = fiat_example // kotlin.String | 
val crypto : kotlin.String = crypto_example // kotlin.String | 
val amount : kotlin.Double = 1.2 // kotlin.Double | 
val paymentMethod : kotlin.String = paymentMethod_example // kotlin.String | 
val uuid : kotlin.String = uuid_example // kotlin.String | 
val clientName : kotlin.String = clientName_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
try {
    val result : kotlin.collections.List<SellQuote> = apiInstance.onRamperGetQuotesSell(authorization, fiat, crypto, amount, paymentMethod, uuid, clientName, country)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetQuotesSell")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetQuotesSell")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes                                  |
| ----------------- | ----------------- | ----------- | -------------------------------------- |
| **authorization** | **kotlin.String** |             |                                        |
| **fiat**          | **kotlin.String** |             |                                        |
| **crypto**        | **kotlin.String** |             |                                        |
| **amount**        | **kotlin.Double** |             |                                        |
| **paymentMethod** | **kotlin.String** |             | \[optional] \[default to "creditcard"] |
| **uuid**          | **kotlin.String** |             | \[optional] \[default to ""]           |
| **clientName**    | **kotlin.String** |             | \[optional] \[default to ""]           |
| **country**       | **kotlin.String** |             | \[optional] \[default to ""]           |

#### Return type

[**kotlin.collections.List\<SellQuote>**](/sdks/kotlin/sellquote.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedAssets**

> SupportedAssetResponse onRamperGetSupportedAssets(authorization, source, country)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val source : kotlin.String = source_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
try {
    val result : SupportedAssetResponse = apiInstance.onRamperGetSupportedAssets(authorization, source, country)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedAssets")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedAssets")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **source**        | **kotlin.String** |             |       |
| **country**       | **kotlin.String** |             |       |

#### Return type

[**SupportedAssetResponse**](/sdks/kotlin/supportedassetresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedCurrencies**

> SupportedCurrenciesResponse onRamperGetSupportedCurrencies(authorization, type)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val type : kotlin.String = type_example // kotlin.String | 
try {
    val result : SupportedCurrenciesResponse = apiInstance.onRamperGetSupportedCurrencies(authorization, type)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedCurrencies")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedCurrencies")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **type**          | **kotlin.String** |             |       |

#### Return type

[**SupportedCurrenciesResponse**](/sdks/kotlin/supportedcurrenciesresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedDefaultsAll**

> SupportedDefaultResponse onRamperGetSupportedDefaultsAll(authorization, country, type)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
val type : kotlin.String = type_example // kotlin.String | 
try {
    val result : SupportedDefaultResponse = apiInstance.onRamperGetSupportedDefaultsAll(authorization, country, type)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedDefaultsAll")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedDefaultsAll")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **country**       | **kotlin.String** |             |       |
| **type**          | **kotlin.String** |             |       |

#### Return type

[**SupportedDefaultResponse**](/sdks/kotlin/supporteddefaultresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedOnRampsAll**

> GetSupportedOnRampsResponse onRamperGetSupportedOnRampsAll(authorization)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
try {
    val result : GetSupportedOnRampsResponse = apiInstance.onRamperGetSupportedOnRampsAll(authorization)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedOnRampsAll")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedOnRampsAll")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |

#### Return type

[**GetSupportedOnRampsResponse**](/sdks/kotlin/getsupportedonrampsresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedPaymentTypes**

> SupportedPaymentTypesCurrencyResponse onRamperGetSupportedPaymentTypes(authorization, fiat, country, type)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val fiat : kotlin.String = fiat_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
val type : kotlin.String = type_example // kotlin.String | 
try {
    val result : SupportedPaymentTypesCurrencyResponse = apiInstance.onRamperGetSupportedPaymentTypes(authorization, fiat, country, type)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedPaymentTypes")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedPaymentTypes")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **fiat**          | **kotlin.String** |             |       |
| **country**       | **kotlin.String** |             |       |
| **type**          | **kotlin.String** |             |       |

#### Return type

[**SupportedPaymentTypesCurrencyResponse**](/sdks/kotlin/supportedpaymenttypescurrencyresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **onRamperGetSupportedPaymentTypesFiat**

> SupportedPaymentTypesCurrencyResponse onRamperGetSupportedPaymentTypesFiat(authorization, fiat, country)

#### Example

```kotlin
// Import classes:
//import org.usemoonai.moonsdk.infrastructure.*
//import org.usemoonai.moonsdk.models.*

val apiInstance = OnramperApi()
val authorization : kotlin.String = authorization_example // kotlin.String | 
val fiat : kotlin.String = fiat_example // kotlin.String | 
val country : kotlin.String = country_example // kotlin.String | 
try {
    val result : SupportedPaymentTypesCurrencyResponse = apiInstance.onRamperGetSupportedPaymentTypesFiat(authorization, fiat, country)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling OnramperApi#onRamperGetSupportedPaymentTypesFiat")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling OnramperApi#onRamperGetSupportedPaymentTypesFiat")
    e.printStackTrace()
}
```

#### Parameters

| Name              | Type              | Description | Notes |
| ----------------- | ----------------- | ----------- | ----- |
| **authorization** | **kotlin.String** |             |       |
| **fiat**          | **kotlin.String** |             |       |
| **country**       | **kotlin.String** |             |       |

#### Return type

[**SupportedPaymentTypesCurrencyResponse**](/sdks/kotlin/supportedpaymenttypescurrencyresponse.md)

#### Authorization

Configure ApiKeyAuth: ApiClient.apiKey\["x-api-key"] = "" ApiClient.apiKeyPrefix\["x-api-key"] = "" Configure BearerAuth: ApiClient.apiKey\["Authorization"] = "" ApiClient.apiKeyPrefix\["Authorization"] = ""

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/kotlin/onramperapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
